Skip to main content
`Ctrl`+`K`

# DMLabelSetValue

Set the value a label assigns to a point. If the value is the same as the label’s default value (which is initially -1, and can be changed with `DMLabelSetDefaultValue()` to something different), then this function will do nothing.

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelSetValue(DMLabel label, PetscInt point, PetscInt value)

Not Collective

## Input Parameters

- label - the `DMLabel`

- point - the point

- value - The point value

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelClearValue()`, `DMLabelGetDefaultValue()`, `DMLabelSetDefaultValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c
src/snes/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex10.c
src/snes/tutorials/ex23.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages